import { PISYS } from "pi_sys/index";
import { UploadPayParam } from "../../interface/pay"
import { IUploadUser } from "../../interface/upload"

let initOver: Boolean
export async function registerAdiosJL(param: IUploadUser) {
    console.log("ios_cdqxz ad_sso注册信息", param)
    // await PISYS.Native.SpecialCall.specialCall("ks_ad", 'init_ks', []);
     PISYS.Native.SpecialCall.specialCall("ios_cdqxz", 'registerUser', []);
     PISYS.Native.SpecialCall.specialCall("ios_cdqxz", 'createRole', [{ "game_role_name": param.userName }]);
}
export async function loginAdiosJL(param: IUploadUser) {
    console.log("ios_cdqxz ad_sso登录信息", param);
    PISYS.Native.SpecialCall.specialCall("ios_cdqxz", 'LoginUser', []);

}
export async function payAdiosJL(param: UploadPayParam) {
    console.log("ios_cdqxz ad_sso支付信息", param)
    PISYS.Native.SpecialCall.specialCall("ios_cdqxz", 'pay', [{ "amount": param.amount/100}]);
}