import { PISYS } from "pi_sys/index";
import { UploadPayParam } from "../../interface/pay"
import { IUploadUser } from "../../interface/upload"

let initOver: Boolean
export async function registerAd(param: IUploadUser) {
    console.log("ksad_sso注册信息", param)
    // await PISYS.Native.SpecialCall.specialCall("ks_ad", 'init_ks', []);
     PISYS.Native.SpecialCall.specialCall("ks_ad", 'register', []);
     PISYS.Native.SpecialCall.specialCall("ks_ad", 'createRole', [{ "game_role_name": param.userName }]);
}
export async function loginAd(param: IUploadUser) {
    console.log("ksad_sso登录信息", param)
    // await PISYS.Native.SpecialCall.specialCall("ks_ad", 'init_ks', []);
    // await PISYS.Native.SpecialCall.specialCall("ks_ad", 'updateLevel', [{ "level": param.roleLevel + "" }]);//等级升级-无
    if (param.extend && param.extend == "activeNextDayStay") {
         PISYS.Native.SpecialCall.specialCall("ks_ad", 'activeNextDayStay', []);
    }
}
export async function payAd(param: UploadPayParam) {
    console.log("ksad_sso支付信息", param)
    PISYS.Native.SpecialCall.specialCall("ks_ad", 'pay', [{ "amount": param.amount/100}]);
}