import { PISYS } from "pi_sys/index";


/**用于游戏内自定义事件上报*/

const system_info = PISYS.Env.get("system_info");
    export class GameEventReporter{

    //完成新手引导
    async tutorialFinis() {
        if (system_info.app == "wx_minigame") {
            window.wx_minigame_sdk.onTutorialFinish();
                }
    }
    //用户角色升级
    async levelUp(info: any) {
        if (system_info.app == "wx_minigame") {
            const { level, power } = info as { level:number; power: number };
            console.log("level up == ",level)
            window.wx_minigame_sdk.track('UPDATE_LEVEL', {
                // 用户升级信息
                level: level,
                power: power,
              });  
            
        }

    }
        //这个是回流用户
        async reActive(info: any) {
            if (system_info.app == "wx_minigame") {
                window.wx_minigame_sdk.track('RE_ACTIVE');

            }
        }
}
export let gameEventReporter = new GameEventReporter()