
// ============================ 给 实现用 的 接口

import { Json } from "pi_tools/type";
import { IUploadUser } from "../interface/upload";
import { UploadPayParam } from "../interface/pay";

/**
 * 平台实现层 使用
 */
export interface IPlatformUpload {
    // /**
    //  * 激活 参数 转换
    //  * 
    //  * @returns 该平台上报的json数据，可能有多个
    //  */
    // firstActivation(): Json[];
    // /**
    //  * 注册 参数 转换
    //  * 
    //  * @returns 该平台上报的json数据，可能有多个
    //  */
    // register(param: IUploadUser): Json[];
    // /**
    //  * 登录 参数 转换
    //  * 
    //  * @returns 该平台上报的json数据，可能有多个
    //  */
    login(param: IUploadUser, isCreateRole?: boolean): Json[];

    /**
     * 登出 参数 转换
     * 
     * @returns 该平台上报的json数据，可能有多个
     */
    logout(): Json[];

    /**
     * 支付参数 转换
     *
     * @returns 该平台上报的json数据，可能有多个
     * @note 需要 在 支付成功时，调用；
     */
    pay(param: UploadPayParam);

    /**
     * 转换 自定义 数据
     * 
     * @returns 该平台上报的json数据，可能有多个
     * @note 如果对应平台不支持该类型，或者格式不对，统一返回 null
     */
    custom(type: string, value?: Json): Json;
}