import { Json } from "pi_tools/type";
import { IUploadUser } from "../../interface/upload";
import {  UploadPayParam } from "../../interface/pay";
import { IPlatformUpload } from "../interface";
import { PISYS } from "pi_sys/index";

export class BaiduSdkUpload implements IPlatformUpload {

    login(param: IUploadUser, isCreateRole?: boolean): Json[] {
        return [];
    }
    
    logout(): Json[] {
        return [];
    }

    pay(_param: UploadPayParam): Json[] {
        return [];
    }

    custom(_type: string, _value?: Json): Json {
        return null;
    }
}
export async function registerBaidu(param: IUploadUser) {
    console.log("baidu_ad register upload--", param)

     PISYS.Native.SpecialCall.specialCall("baidu", 'registerUser', []);
    //  PISYS.Native.SpecialCall.specialCall("baidu", 'createRole', [{ "game_role_name": param.userName }]);
}
export async function loginBaidu(param: IUploadUser) {
    console.log("baidu_ad login upload--", param)
    // await PISYS.Native.SpecialCall.specialCall("ks_ad", 'init_ks', []);
    // await PISYS.Native.SpecialCall.specialCall("ks_ad", 'updateLevel', [{ "level": param.roleLevel + "" }]);//等级升级-无
    if (param.extend && param.extend == "activeNextDayStay") {
         PISYS.Native.SpecialCall.specialCall("baidu", 'activeNextDayStay', []);
    }
}
export async function payBaidu(param: UploadPayParam) {
    console.log("baidu_ad pay upload--", param)
    PISYS.Native.SpecialCall.specialCall("baidu", 'pay', [{ "amount": param.amount/100}]);
}
