import { PISYS } from "pi_sys/index";
import { UploadPayParam } from "../../interface/pay"
import { IUploadUser } from "../../interface/upload"
let initOver: Boolean
export async function registerAdGdt(param: IUploadUser) {
    console.log("gdt ad_sso注册信息", param)
    // await PISYS.Native.SpecialCall.specialCall("ks_ad", 'init_ks', []);
     PISYS.Native.SpecialCall.specialCall("txgdt", 'registerUser', []);
     PISYS.Native.SpecialCall.specialCall("txgdt", 'createRole', [{ "game_role_name": param.userName }]);
}
export async function loginAdGdt(param: IUploadUser) {
    console.log("gdt ad_sso登录信息", param);
    PISYS.Native.SpecialCall.specialCall("txgdt", 'LoginUser', []);

}
export async function payAdGdt(param: UploadPayParam) {
    console.log("gdt ad_sso支付信息", param)
    PISYS.Native.SpecialCall.specialCall("txgdt", 'pay', [{ "amount": param.amount/100}]);
}